.SILENT:

install:
	pnpm install

dev:
	pnpm dev

build:
	pnpm build

update:
	pnpm update -i

docker:
	docker compose up -d

podman:
	podman-compose up -d

favicon:
	node ./@dasig/scripts/node/generateFavicon.ts

logo:
	node ./@dasig/scripts/node/optimizeLogo.ts --size $(size)

image:
	node ./@dasig/scripts/node/optimizeImage.ts --name $(name) --size $(size)

background:
	node ./@dasig/scripts/node/optimizeBackground.ts
